AO-LOAD(1)

NAME
ao-cal-accel - Calibrate AltOS flight computer accelerometers

SYNOPSIS
ao-cal-accel [-T tty-device] [--tty tty-device] [-D altos-device] [--device altos-device]

DESCRIPTION
ao-cal-accel drives the built-in accelerometer calibration and validates the results.

OPTIONS

-T tty-device | --tty tty-device
    This selects which tty device the debugger uses to communicate with the target device. The special name 'BITBANG' directs ao-dbg to use the cp2103 connection, otherwise this should be a usb serial port connected to a suitable cc1111 debug node.

-D AltOS-device | --device AltOS-device
    Search for a connected device. This requires an argument of one of the following forms:

    TeleMega:2
    TeleMega
    2

    Leaving out the product name will cause the tool to select a suitable product, leaving out the serial number will cause the tool to match one of the available devices.

USAGE
ao-cal-accel opens the target device, executes the accelerometer calibration command, verifies that it executed correctly, then shows the resulting calibration values and saves them to configuration memory.

AUTHOR
Keith Packard